<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

session_name('portal_absa');
session_start();
require("conexion/conectar.php");

$conexion = new CONDB();
$conexion->conectar();

if(isset($_POST["unidad"]))
{
			$unidadAnt=$_REQUEST["unidadAnt"];
			$unidad=$_REQUEST["unidad"];
}
$query="select unidad from unidades where unidad='$unidadAnt'";
$rquery = mysqli_query($conexion->CONEXION,$query);

if(mysqli_num_rows($rquery) > 0)
{
		$query="Update unidades set unidad='$unidad' where unidad='$unidadAnt'";
		$rquery=mysqli_query($conexion->CONEXION,$query);
		
		$mensaje="Unidad actualizado satisfactoriamente";
		$error="Ocurrio un error al actualizar la unidad";
	
}else if(isset($_POST["unidad"]))
{
			$query="insert into unidades set unidad='".$_POST["unidad"]."'";
			$rquery=mysqli_query($conexion->CONEXION,$query);
			
			$mensaje="Unidad dado de alta satisfactoriamente";
			$error="Ocurrio un error al dar de alta la unidad";
}

if(mysqli_errno($conexion->CONEXION) != 0)
	echo "ERROR: ".$error;
else{
		?><script>tools('grids/unidades.php',''); $j_6('#closeModal').click();</script><?
}
?>